# Class MetalBorders.ScrollPaneBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.ScrollPaneBorder

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `MetalBorders`

public static class MetalBorders.ScrollPaneBorder extends AbstractBorder implements UIResource
The class represents the border of a `JScrollPane`.

## Constructor Summary

Constructors
Constructor
Description
`ScrollPaneBorder()`
Constructs a `ScrollPaneBorder`.

## Method Summary

### Methods declared in class AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScrollPaneBorder

public ScrollPaneBorder()
Constructs a `ScrollPaneBorder`.